Skip to navigation

Update End User Fact

View as Markdown

Correct or add one fact. It serves from the next turn and becomes a held-out case for this user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired
tenant_idstringRequired1-128 characters
user_idstringRequired1-128 characters

Request

This endpoint expects an object.
contentstringRequired1-8192 characters
pathstringRequired<=160 characters

USER.md or memories/<name>.md.

expectedEtagstring or nullOptionalformat: "^[0-9a-f]{64}$"
Refuse with 409 unless the fact still has this etag.

Response

Successful Response
contentstring
etagstring
Pass as expectedEtag to replace exactly this content.
pathstring

USER.md, memories/<name>.md or cell/PERSONA_SUMMARY.md.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error